libzypp 17.37.10

ParseDef.cc File Reference
`#include <iostream>`
`#include <sstream>`
`#include <string>`
`#include <map>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/String.h>`
`#include <utility>`
`#include <zypp-core/base/DtorReset>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/parser/xml/ParseDef.h>`
`#include <zypp/parser/xml/ParseDefException.h>`
`#include <zypp/parser/xml/ParseDefConsume.h>`
`#include <zypp/parser/xml/Reader.h>`

Go to the source code of this file.

## Classes
struct | zypp::xml::ParseDefImplConsume
class | zypp::xml::ParseDef::Impl
| ParseDef implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::xml

## Macros
#define | X(T)

## Functions
std::ostream & | zypp::xml::operator<< (std::ostream &str, const ParseDef::Impl &obj)
std::ostream & | zypp::xml::operator<< (std::ostream &str, ParseDef::Mode obj)
std::ostream & | zypp::xml::operator<< (std::ostream &str, const ParseDef &obj)

## Macro Definition Documentation

## ◆ X

#define X | ( |  | T | ) |

Value:
case ParseDef::T: return str << #T
str
String related utilities and Regular expression matching.